Package org.opensaml.saml.saml1.binding.impl

# Class SAML1ArtifactRequestIssuerHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.saml1.binding.impl.SAML1ArtifactRequestIssuerHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class SAML1ArtifactRequestIssuerHandler extends AbstractMessageHandler
SAML `MessageHandler` that addresses the SAML 1.x limitation that omitted an Issuer value from protocol messages, for the specific case of artifact resolution requests.

The issuer/requester is deduced in this case by resolving an artifact from the request and assuming the issuer is the intended recipient of the artifact.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SAMLArtifactMap`
`artifactMap`
Protocol value to add to context.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SAML1ArtifactRequestIssuerHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
`setArtifactMap(SAMLArtifactMap map)`
Set the artifact map to use.

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### artifactMap

@NonnullAfterInit private SAMLArtifactMap artifactMap
Protocol value to add to context.

## Constructor Details

### SAML1ArtifactRequestIssuerHandler

public SAML1ArtifactRequestIssuerHandler()

## Method Details

### setArtifactMap

public void setArtifactMap(@Nonnull SAMLArtifactMap map)
Set the artifact map to use.

Parameters:
  `map` - the artifact map

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if there is an error invoking the handler on the message context